Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031432
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2015-11-11 17:492015-11-26 09:22
ReporterAugustoMauchView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q1
StatusclosedFix in branchFixed in SCM revisiondcc7fba68b20
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031432: Update version of commons-io library from 2.0.1 to 2.4

DescriptionWe are currently working on a database synchronization module that will require the version 2.4 of the commons-io library.

That module does not work with the current version 2.0.1. But Openbravo does work with the 2.4 version.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0031671 closedAugustoMauch The dbsourcemanager classpath references the old version commons-io 

-  Notes
(0081723)
AugustoMauch (developer)
2015-11-11 18:00
edited on: 2015-11-11 18:02

Checks done to know if the change is safe:
- Binary APIs compared using the Openbravo API check tools -> OK
- Release notes checked to see if there are any other API changes / incompatibilities:
   * From 2.0.1 to 2.1 [1] -> OK
   * From 2.1 to 2.2 [2] -> OK
   * From 2.2 to 2.3 [3] -> NOT OK
   * From 2.3 to 2.4 [4] -> OK

The problem introduced in 2.3 [5] is that the method toByteArray(Reader input, Charset encoding) was created. This method can conflict with the existing method toByteArray(Reader input, String encoding) if NULL is passed to the second parameter. The sources for all the modules published in the central repository have been checked, and no one invoked IOUtils.toByteArray with two parameters, so the change is safe.

Also the library license remains the same.

[1] https://commons.apache.org/proper/commons-io/upgradeto2_1.html [^]
[2] https://commons.apache.org/proper/commons-io/upgradeto2_2.html [^]
[3] https://commons.apache.org/proper/commons-io/upgradeto2_3.html [^]
[4] https://commons.apache.org/proper/commons-io/upgradeto2_4.html [^]
[5] https://issues.apache.org/jira/browse/IO-318 [^]

(0081875)
AugustoMauch (developer)
2015-11-16 13:31

Other checks:
- It passes try
- It passes try-retail
- The licence remains the same
- The new version requires Java 6, Openbravo already required it
(0081877)
hgbot (developer)
2015-11-16 13:32

Repository: erp/devel/pi
Changeset: dcc7fba68b208c0715cd969954d587cd8b88c5e2
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Nov 11 17:48:28 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/dcc7fba68b208c0715cd969954d587cd8b88c5e2 [^]

Fixes issue 31432: Upgrade version of commons-io from 2.0.1 to 2.4

In the near future a module related with database synchronization is going to be published. This module requires the 2.4 version of the commons-io library, that's why the commons-io library has been updated to this version.

---
A lib/runtime/commons-io-2.4.jar
R lib/runtime/commons-io-2.0.1.jar
---
(0081885)
AugustoMauch (developer)
2015-11-16 14:33

Licensing.txt file has been updated [1] and the wiki has been updated [2]

[1] https://code.openbravo.com/erp/devel/pi/rev/9bc23e1bab78 [^]
[2] http://wiki.openbravo.com/wiki/Openbravo_Libraries [^]
(0081899)
hgbot (developer)
2015-11-16 18:12

Repository: erp/devel/pi
Changeset: ecf5c6932ff2186e7fb01cdcb54dd10fe8bc73de
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon Nov 16 18:09:03 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ecf5c6932ff2186e7fb01cdcb54dd10fe8bc73de [^]

Related with issue 31432: Updates classpath

---
M src-core/.classpath
---
(0082233)
hudsonbot (developer)
2015-11-23 21:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test
(0082241)
hudsonbot (developer)
2015-11-23 21:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test
(0082357)
alostale (developer)
2015-11-26 09:22

code reviewed, checked actual impact for existing modules should be low

- Issue History
Date Modified Username Field Change
2015-11-11 17:49 AugustoMauch New Issue
2015-11-11 17:49 AugustoMauch Assigned To => platform
2015-11-11 17:49 AugustoMauch Modules => Core
2015-11-11 17:49 AugustoMauch Triggers an Emergency Pack => No
2015-11-11 18:00 AugustoMauch Note Added: 0081723
2015-11-11 18:01 AugustoMauch Note Edited: 0081723 View Revisions
2015-11-11 18:02 AugustoMauch Note Edited: 0081723 View Revisions
2015-11-16 13:27 AugustoMauch Review Assigned To => alostale
2015-11-16 13:31 AugustoMauch Note Added: 0081875
2015-11-16 13:32 hgbot Checkin
2015-11-16 13:32 hgbot Note Added: 0081877
2015-11-16 13:32 hgbot Status new => resolved
2015-11-16 13:32 hgbot Resolution open => fixed
2015-11-16 13:32 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/dcc7fba68b208c0715cd969954d587cd8b88c5e2 [^]
2015-11-16 14:32 alostale Assigned To platform => AugustoMauch
2015-11-16 14:33 AugustoMauch Note Added: 0081885
2015-11-16 18:12 hgbot Checkin
2015-11-16 18:12 hgbot Note Added: 0081899
2015-11-23 21:17 hudsonbot Checkin
2015-11-23 21:17 hudsonbot Note Added: 0082233
2015-11-23 21:17 hudsonbot Checkin
2015-11-23 21:17 hudsonbot Note Added: 0082241
2015-11-26 09:22 alostale Note Added: 0082357
2015-11-26 09:22 alostale Status resolved => closed
2015-11-26 09:22 alostale Fixed in Version => 3.0PR16Q1
2015-12-09 12:38 AugustoMauch Relationship added related to 0031671


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker